| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Macros | Functions | Variables
MQX1 module documentation

## Macros
#define | __KERNEL_DATA_START (pointer)(&_mqx_kernel_data_struct)
#define | __KERNEL_DATA_END (pointer)((uchar_ptr)&_mqx_kernel_data_struct + sizeof(_mqx_kernel_data_struct))
#define | MQX_PATH "C:/Freescale/CW MCU v10.6/MCU/ProcessorExpert/lib/mqxlite/V1.1.1/"
#define | MQXLITE_SYSTEM_TIMER_INIT(param) system_timer_init(param)
#define | MQXLITE_SYSTEM_TIMER_START(param) system_timer_start(param)
#define | MQXLITE_SYSTEM_TIMER_GET_INPUT_FREQUENCY(param) SystemTimer1_GetInputFrequency(param)
#define | MQXLITE_SYSTEM_TIMER_GET_PERIOD_TICKS(param, value) SystemTimer1_GetPeriodTicks(param, value)
#define | MQXLITE_SYSTEM_TIMER_GET_COUNTER_VALUE(param) SystemTimer1_GetCounterValue(param)
#define | MQXLITE_SYSTEM_TIMER_GET_TICKS_PER_SECOND(param) SystemTimer1_GetTicsPerSecond(param)
#define | MQXLITE_SYSTEM_TIMER_SET_HWTICKS_FUNCTION(param) _time_set_hwtick_function((MQX_GET_HWTICKS_FPTR)&SystemTimer1_GetCounterValue, (pointer)(param))
#define | PEX_RTOS_INIT() if (MQX_OK != _mqxlite_init(&MQX_init_struct)) while(1)
#define | PEX_RTOS_START() _mqxlite()
#define | FIRST_INTERRUPT_VECTOR_USED (INT_SysTick)
#define | LAST_INTERRUPT_VECTOR_USED (INT_ENET_Error)
#define | MQX_INTERRUPT_TABLE_ITEMS (LAST_INTERRUPT_VECTOR_USED - FIRST_INTERRUPT_VECTOR_USED + 1)
#define | MQX_IDLE_TASK_PRIORITY (14)
#define | MQX_READY_QUEUE_ITEMS (MQX_IDLE_TASK_PRIORITY + 1)
#define | MQXLITE_SYSTEM_TIMER_GET_TICS_PER_SECOND MQXLITE_SYSTEM_TIMER_GET_TICKS_PER_SECOND

## Functions
void | SystemTimer1_OnCounterRestart (LDD_TUserData *UserDataPtr)
uint32_t | SystemTimer1_GetTicsPerSecond (LDD_TDeviceData *DeviceDataPtr)
uint32_t | system_timer_init (const void *timer_data_ptr)
uint32_t | system_timer_start (const void *timer_data_ptr)
void | mqx_initialize_heap (void)
void | PEX_RTOS_InstallInterrupt (IRQInterruptIndex IntVector, void(*IsrFunction)(void *), void *IsrParam)
void | MQX1_SetOperationMode (LDD_TDriverOperationMode OperationMode)
void | __boot (void)
void | _svc_handler (void)
void | _pend_svc (void)

## Variables
uint8_t | Task1_task_stack [TASK1_TASK_STACK_SIZE]
uint8_t | CI_task_stack [CI_TASK_STACK_SIZE]
uint8_t | PM_task_stack [PM_TASK_STACK_SIZE]
uint8_t | TaskBusManager_task_stack [TASKBUSMANAGER_TASK_STACK_SIZE]
uint8_t | Fusion_Task_task_stack [FUSION_TASK_TASK_STACK_SIZE]
uint8_t | MagCal_Task_task_stack [MAGCAL_TASK_TASK_STACK_SIZE]
uint8_t | TaskRLI1_task_stack [TASKRLI1_TASK_STACK_SIZE]
uint8_t | TaskApp1_task_stack [TASKAPP1_TASK_STACK_SIZE]
const uint8_t * | mqx_task_stack_pointers []
volatile KERNEL_DATA_STRUCT | _mqx_kernel_data_struct
READY_Q_STRUCT | mqx_static_ready_queue [MQX_READY_QUEUE_ITEMS]
INTERRUPT_TABLE_STRUCT | mqx_static_isr_table [MQX_INTERRUPT_TABLE_ITEMS]
uint8_t | mqx_interrupt_stack [MQX_INTERRUPT_STACK_SIZE+PSP_STACK_ALIGNMENT+1]
uint8_t | mqx_idle_task_stack [sizeof(TD_STRUCT)+PSP_IDLE_STACK_SIZE+PSP_STACK_ALIGNMENT+1]
const MQXLITE_INITIALIZATION_STRUCT | MQX_init_struct
| This data structure/variable holds the complete state of the rli magnetometer sensor embedded application. More...
uint8_t | Task1_task_stack [TASK1_TASK_STACK_SIZE]
uint8_t | CI_task_stack [CI_TASK_STACK_SIZE]
uint8_t | PM_task_stack [PM_TASK_STACK_SIZE]
uint8_t | TaskBusManager_task_stack [TASKBUSMANAGER_TASK_STACK_SIZE]
uint8_t | Fusion_Task_task_stack [FUSION_TASK_TASK_STACK_SIZE]
uint8_t | MagCal_Task_task_stack [MAGCAL_TASK_TASK_STACK_SIZE]
uint8_t | TaskRLI1_task_stack [TASKRLI1_TASK_STACK_SIZE]
uint8_t | TaskApp1_task_stack [TASKAPP1_TASK_STACK_SIZE]
const MQXLITE_INITIALIZATION_STRUCT | MQX_init_struct
| This data structure/variable holds the complete state of the rli magnetometer sensor embedded application. More...
const TASK_TEMPLATE_STRUCT | MQX_template_list []
INTERRUPT_TABLE_STRUCT | mqx_static_isr_table [MQX_INTERRUPT_TABLE_ITEMS]
READY_Q_STRUCT | mqx_static_ready_queue [MQX_READY_QUEUE_ITEMS]
const uint8_t * | mqx_task_stack_pointers []

## Detailed Description

## Macro Definition Documentation

#define __KERNEL_DATA_END (pointer)((uchar_ptr)&_mqx_kernel_data_struct + sizeof(_mqx_kernel_data_struct))

Definition at line 88 of file MQX1.c.

#define __KERNEL_DATA_START (pointer)(&_mqx_kernel_data_struct)

Definition at line 87 of file MQX1.c.

#define FIRST_INTERRUPT_VECTOR_USED (INT_SysTick)

Definition at line 128 of file MQX1.h.

#define LAST_INTERRUPT_VECTOR_USED (INT_ENET_Error)

Definition at line 130 of file MQX1.h.

#define MQX_IDLE_TASK_PRIORITY (14)

Definition at line 137 of file MQX1.h.

#define MQX_INTERRUPT_TABLE_ITEMS (LAST_INTERRUPT_VECTOR_USED - FIRST_INTERRUPT_VECTOR_USED + 1)

Definition at line 131 of file MQX1.h.

#define MQX_PATH "C:/Freescale/CW MCU v10.6/MCU/ProcessorExpert/lib/mqxlite/V1.1.1/"

Definition at line 74 of file MQX1.h.

#define MQX_READY_QUEUE_ITEMS (MQX_IDLE_TASK_PRIORITY + 1)

Definition at line 138 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_GET_COUNTER_VALUE | ( |  | param | ) | SystemTimer1_GetCounterValue(param)

Definition at line 96 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_GET_INPUT_FREQUENCY | ( |  | param | ) | SystemTimer1_GetInputFrequency(param)

Definition at line 92 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_GET_PERIOD_TICKS | ( |  | param,
|  |  | value
| ) |  | SystemTimer1_GetPeriodTicks(param, value)

Definition at line 94 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_GET_TICKS_PER_SECOND | ( |  | param | ) | SystemTimer1_GetTicsPerSecond(param)

Definition at line 98 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_GET_TICS_PER_SECOND MQXLITE_SYSTEM_TIMER_GET_TICKS_PER_SECOND

Definition at line 167 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_INIT | ( |  | param | ) | system_timer_init(param)

Definition at line 90 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_SET_HWTICKS_FUNCTION | ( |  | param | ) | _time_set_hwtick_function((MQX_GET_HWTICKS_FPTR)&SystemTimer1_GetCounterValue, (pointer)(param))

Definition at line 100 of file MQX1.h.

#define MQXLITE_SYSTEM_TIMER_START | ( |  | param | ) | system_timer_start(param)

Definition at line 91 of file MQX1.h.

#define PEX_RTOS_INIT | ( |  | ) | if (MQX_OK != _mqxlite_init(&MQX_init_struct)) while(1)

Definition at line 122 of file MQX1.h.

#define PEX_RTOS_START | ( |  | ) | _mqxlite()

Definition at line 124 of file MQX1.h.

## Function Documentation

void __boot | ( | void |  | ) |

void _pend_svc | ( | void |  | ) |

void _svc_handler | ( | void |  | ) |

void MQX1_SetOperationMode | ( | LDD_TDriverOperationMode | OperationMode | ) |

Definition at line 226 of file MQX1.c.

void mqx_initialize_heap | ( | void |  | ) |

Definiton of heap for GCC ARM compiler Extern symbols defined in linker command file

Definition at line 176 of file MQX1.c.

void PEX_RTOS_InstallInterrupt | ( | IRQInterruptIndex | IntVector,
|  | void(*)(void *) | IsrFunction,
|  | void * | IsrParam
| ) |  |

Definition at line 206 of file MQX1.c.

uint32_t system_timer_init | ( | const void * | timer_data_ptr | ) |

Definition at line 142 of file MQX1.c.

References SystemTimer1_GetTicsPerSecond().

Here is the call graph for this function:

uint32_t system_timer_start | ( | const void * | timer_data_ptr | ) |

Definition at line 164 of file MQX1.c.

uint32_t SystemTimer1_GetTicsPerSecond | ( | LDD_TDeviceData * | DeviceDataPtr | ) |

Definition at line 131 of file MQX1.c.

Referenced by system_timer_init().

Here is the caller graph for this function:

void SystemTimer1_OnCounterRestart | ( | LDD_TUserData * | UserDataPtr | ) |

Definition at line 124 of file MQX1.c.

## Variable Documentation

volatile KERNEL_DATA_STRUCT _mqx_kernel_data_struct

Definition at line 86 of file MQX1.c.

uint8_t CI_task_stack[CI_TASK_STACK_SIZE]

Definition at line 64 of file MQX1.c.

uint8_t CI_task_stack[CI_TASK_STACK_SIZE]

Definition at line 64 of file MQX1.c.

uint8_t Fusion_Task_task_stack[FUSION_TASK_TASK_STACK_SIZE]

Definition at line 67 of file MQX1.c.

uint8_t Fusion_Task_task_stack[FUSION_TASK_TASK_STACK_SIZE]

Definition at line 67 of file MQX1.c.

uint8_t MagCal_Task_task_stack[MAGCAL_TASK_TASK_STACK_SIZE]

Definition at line 68 of file MQX1.c.

uint8_t MagCal_Task_task_stack[MAGCAL_TASK_TASK_STACK_SIZE]

Definition at line 68 of file MQX1.c.

uint8_t mqx_idle_task_stack[sizeof(TD_STRUCT)+PSP_IDLE_STACK_SIZE+PSP_STACK_ALIGNMENT+1]

Definition at line 100 of file MQX1.c.

const MQXLITE_INITIALIZATION_STRUCT MQX_init_struct

Initial value:
=
{
1,
__KERNEL_DATA_START,
__KERNEL_DATA_END,
2,
sizeof(mqx_interrupt_stack),
mqx_interrupt_stack,
sizeof(mqx_idle_task_stack),
mqx_idle_task_stack,
(TASK_TEMPLATE_STRUCT_PTR)&MQX_template_list[0]
}
mqx_idle_task_stack
uint8_t mqx_idle_task_stack[sizeof(TD_STRUCT)+PSP_IDLE_STACK_SIZE+PSP_STACK_ALIGNMENT+1]
Definition: MQX1.c:100
__KERNEL_DATA_START
#define __KERNEL_DATA_START
Definition: MQX1.c:87
mqx_interrupt_stack
uint8_t mqx_interrupt_stack[MQX_INTERRUPT_STACK_SIZE+PSP_STACK_ALIGNMENT+1]
Definition: MQX1.c:98
__KERNEL_DATA_END
#define __KERNEL_DATA_END
Definition: MQX1.c:88
MQX_template_list
const TASK_TEMPLATE_STRUCT MQX_template_list[]

This data structure/variable holds the complete state of the rli magnetometer sensor embedded application.

Definition at line 103 of file MQX1.c.

const MQXLITE_INITIALIZATION_STRUCT MQX_init_struct

This data structure/variable holds the complete state of the rli magnetometer sensor embedded application.

Definition at line 103 of file MQX1.c.

uint8_t mqx_interrupt_stack[MQX_INTERRUPT_STACK_SIZE+PSP_STACK_ALIGNMENT+1]

Definition at line 98 of file MQX1.c.

INTERRUPT_TABLE_STRUCT mqx_static_isr_table[MQX_INTERRUPT_TABLE_ITEMS]

Definition at line 94 of file MQX1.c.

INTERRUPT_TABLE_STRUCT mqx_static_isr_table[MQX_INTERRUPT_TABLE_ITEMS]

Definition at line 94 of file MQX1.c.

READY_Q_STRUCT mqx_static_ready_queue[MQX_READY_QUEUE_ITEMS]

Definition at line 91 of file MQX1.c.

READY_Q_STRUCT mqx_static_ready_queue[MQX_READY_QUEUE_ITEMS]

Definition at line 91 of file MQX1.c.

const uint8_t* mqx_task_stack_pointers[]

Initial value:
= {
Task1_task_stack,
CI_task_stack,
PM_task_stack,
TaskBusManager_task_stack,
Fusion_Task_task_stack,
MagCal_Task_task_stack,
TaskRLI1_task_stack,
TaskApp1_task_stack,
NULL
}
TaskRLI1_task_stack
uint8_t TaskRLI1_task_stack[TASKRLI1_TASK_STACK_SIZE]
Definition: MQX1.c:69
TaskApp1_task_stack
uint8_t TaskApp1_task_stack[TASKAPP1_TASK_STACK_SIZE]
Definition: MQX1.c:70
MagCal_Task_task_stack
uint8_t MagCal_Task_task_stack[MAGCAL_TASK_TASK_STACK_SIZE]
Definition: MQX1.c:68
CI_task_stack
uint8_t CI_task_stack[CI_TASK_STACK_SIZE]
Definition: MQX1.c:64
Fusion_Task_task_stack
uint8_t Fusion_Task_task_stack[FUSION_TASK_TASK_STACK_SIZE]
Definition: MQX1.c:67
TaskBusManager_task_stack
uint8_t TaskBusManager_task_stack[TASKBUSMANAGER_TASK_STACK_SIZE]
Definition: MQX1.c:66
PM_task_stack
uint8_t PM_task_stack[PM_TASK_STACK_SIZE]
Definition: MQX1.c:65
Task1_task_stack
uint8_t Task1_task_stack[TASK1_TASK_STACK_SIZE]
Definition: MQX1.c:63

Definition at line 73 of file MQX1.c.

const uint8_t* mqx_task_stack_pointers[]

Definition at line 73 of file MQX1.c.

const TASK_TEMPLATE_STRUCT MQX_template_list[]

uint8_t PM_task_stack[PM_TASK_STACK_SIZE]

Definition at line 65 of file MQX1.c.

uint8_t PM_task_stack[PM_TASK_STACK_SIZE]

Definition at line 65 of file MQX1.c.

uint8_t Task1_task_stack[TASK1_TASK_STACK_SIZE]

Definition at line 63 of file MQX1.c.

uint8_t Task1_task_stack[TASK1_TASK_STACK_SIZE]

Definition at line 63 of file MQX1.c.

uint8_t TaskApp1_task_stack[TASKAPP1_TASK_STACK_SIZE]

Definition at line 70 of file MQX1.c.

uint8_t TaskApp1_task_stack[TASKAPP1_TASK_STACK_SIZE]

Definition at line 70 of file MQX1.c.

uint8_t TaskBusManager_task_stack[TASKBUSMANAGER_TASK_STACK_SIZE]

Definition at line 66 of file MQX1.c.

uint8_t TaskBusManager_task_stack[TASKBUSMANAGER_TASK_STACK_SIZE]

Definition at line 66 of file MQX1.c.

uint8_t TaskRLI1_task_stack[TASKRLI1_TASK_STACK_SIZE]

Definition at line 69 of file MQX1.c.

uint8_t TaskRLI1_task_stack[TASKRLI1_TASK_STACK_SIZE]

Definition at line 69 of file MQX1.c.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.